Bug 461402 - Review Request: nted - Musical score editor
Review Request: nted - Musical score editor
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Andreas Thienemann
Fedora Extras Quality Assurance
:
: 444257 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-07 06:18 EDT by Hans Ulrich Niedermann
Modified: 2008-09-08 03:59 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-09-08 03:59:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
andreas: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Hans Ulrich Niedermann 2008-09-07 06:18:25 EDT
Spec URL: http://ndim.fedorapeople.org/packages/nted/1.0.7-1.fc9/nted.spec
SRPM URL: http://ndim.fedorapeople.org/packages/nted/1.0.7-1.fc9/nted-1.0.7-1.fc9.src.rpm
Description:

NtEd is a GTK score editor. It intends to be really WYSIWYG: what you
see on the screen is exactly what you get on printer output. It
supports up to 4 voices per staff, drum notes, 5 lyrics lines,
N-Tuplets, context changes, repeats with alternatives, configurable
music instruments per staff, MIDI and Postscript export, MusicXML
import. Scores can be played through the ALSA sequencer.
Comment 1 Hans Ulrich Niedermann 2008-09-07 06:20:35 EDT
Build log, %files list, zero rpmlint output here:

http://ndim.fedorapeople.org/packages/nted/1.0.7-1.fc9/
Comment 2 Hans Ulrich Niedermann 2008-09-07 06:21:26 EDT
Successful koji scratch build:

http://koji.fedoraproject.org/koji/taskinfo?taskID=811615
Comment 3 Hans Ulrich Niedermann 2008-09-07 06:23:06 EDT
*** Bug 444257 has been marked as a duplicate of this bug. ***
Comment 4 Andreas Thienemann 2008-09-07 07:47:25 EDT
OK: source files match upstream: 0d884dc48b21831dd1ba51fac82d15116bcea202abecdec9182b217f4152fb6e
OK: package meets naming and versioning guidelines.
OK: specfile is properly named, is cleanly written and uses macros consistently.
OK: dist tag is present.
OK: build root is correct.
OK: license field matches the actual license.
OK: license is open source-compatible.
 GPLv2+ and GFDL
OK: latest version is being packaged.
OK: BuildRequires are proper.
OK: compiler flags are appropriate.
OK: %clean is present.
OK: package builds in mock.
OK: package installs properly.
OK: debuginfo package looks complete.
OK: rpmlint is silent.
OK: final provides and requires are sane:
Requires(rpmlib):
 rpmlib(CompressedFileNames) <= 3.0.4-1
 rpmlib(PayloadFilesHavePrefix) <= 4.0-1
Requires:
 libasound.so.2()(64bit)
 libasound.so.2(ALSA_0.9)(64bit)
 libatk-1.0.so.0()(64bit)
 libc.so.6()(64bit)
 libc.so.6(GLIBC_2.2.5)(64bit)
 libc.so.6(GLIBC_2.3.4)(64bit)
 libc.so.6(GLIBC_2.4)(64bit)
 libc.so.6(GLIBC_2.7)(64bit)
 libcairo.so.2()(64bit)
 libfontconfig.so.1()(64bit)
 libfreetype.so.6()(64bit)
 libgcc_s.so.1()(64bit)
 libgcc_s.so.1(GCC_3.0)(64bit)
 libgdk-x11-2.0.so.0()(64bit)
 libgdk_pixbuf-2.0.so.0()(64bit)
 libgio-2.0.so.0()(64bit)
 libglib-2.0.so.0()(64bit)
 libgmodule-2.0.so.0()(64bit)
 libgobject-2.0.so.0()(64bit)
 libgtk-x11-2.0.so.0()(64bit)
 libm.so.6()(64bit)
 libpango-1.0.so.0()(64bit)
 libpangocairo-1.0.so.0()(64bit)
 libpangoft2-1.0.so.0()(64bit)
 libstdc++.so.6()(64bit)
 libstdc++.so.6(CXXABI_1.3)(64bit)
 libstdc++.so.6(GLIBCXX_3.4)(64bit)
 rtld(GNU_HASH)
Provides:
 nted = 1.0.7-1.fc10
 nted(x86-64) = 1.0.7-1.fc10
OK: no shared libraries are added to the regular linker search paths.
OK: owns the directories it creates.
OK: doesn't own any directories it shouldn't.
OK: no duplicates in %files.
OK: file permissions are appropriate.
OK: no scriptlets present.
OK: code, not content.
OK: documentation is small, so no -docs subpackage is necessary.
OK: %docs are not necessary for the proper functioning of the package.
OK: no headers.
OK: no pkgconfig files.
OK: no libtool .la droppings.
OK: desktop files valid and installed properly.

PASS: license text included in package.
Upstream is shipping the wrong COPYING file it seems. The file declares GPLv3+ while the header in each file claims GPLv2+. _NOT_ shipping the COPYING file sounds acceptable.

Please fix the $RPM_BUILD_ROOT usage to be in consistent style with the usage of %{name}-type variables.

%docdir usage is wrong, please fix.

As soon as that's done, package can be considered ACCEPT.
Comment 5 Hans Ulrich Niedermann 2008-09-07 08:00:47 EDT
* Sun Sep 07 2008 Hans Ulrich Niedermann <hun@n-dimensional.de> - 1.0.7-2
- Consistently use %{buildroot} instead of $RPM_BUILD_ROOT
- Ship upstream's now correct COPYING file.
- Ship all docs disregarding the languages.
  (remove all %docdir and %lang stuff)

http://ndim.fedorapeople.org/packages/nted/1.0.7-2.fc9/
http://ndim.fedorapeople.org/packages/nted/1.0.7-2.fc9/nted.spec
http://ndim.fedorapeople.org/packages/nted/1.0.7-2.fc9/nted-1.0.7-2.fc9.src.rpm
Comment 6 Mamoru TASAKA 2008-09-07 08:20:09 EDT
For me the "COPYING" file in nted 1.0.7 tarball seems GPLv2...??

By the way:
---------------------------------------------------------------
%configure --docdir='%{_docdir}/%{name}-%{version}'
......
mv %{buildroot}%{_docdir}/%{name}-%{version} docs
----------------------------------------------------------------
Can these two lines simplified by the following? (I just looked at your spec file)
----------------------------------------------------------------
%configure --docdir=$(pwd)/docs
.........
rm -rf %{buildroot}
# Once clean up for --short-circuit
rm -rf docs
make install DESTDIR=%{buildroot}
----------------------------------------------------------------
Comment 7 Mamoru TASAKA 2008-09-07 08:22:50 EDT
(In reply to comment #6)
> Can these two lines simplified by the following? (I just looked at your spec
> file)
> ----------------------------------------------------------------
> %configure --docdir=$(pwd)/docs
> .........
> rm -rf %{buildroot}
> # Once clean up for --short-circuit
> rm -rf docs
> make install DESTDIR=%{buildroot}
> ----------------------------------------------------------------

Throw this away, soon I found this is wrong, sorry...
Comment 8 Andreas Thienemann 2008-09-07 08:38:15 EDT
Looking good.

ACCEPT
Comment 9 Hans Ulrich Niedermann 2008-09-07 08:58:54 EDT
New Package CVS Request
=======================
Package Name: nted
Short Description: Musical score editor
Owners: ndim
Branches: F-9
Comment 10 Hans Ulrich Niedermann 2008-09-07 18:12:44 EDT
(In reply to comment #6)
> For me the "COPYING" file in nted 1.0.7 tarball seems GPLv2...??

Yupp, I noticed that upstream has implemented my suggestions and fixed it, so that is in 1.0.7-2.

> By the way:
> ---------------------------------------------------------------
> %configure --docdir='%{_docdir}/%{name}-%{version}'
> ......
> mv %{buildroot}%{_docdir}/%{name}-%{version} docs
> ----------------------------------------------------------------
> Can these two lines simplified by the following? (I just looked at your spec
> file)
> ----------------------------------------------------------------
> %configure --docdir=$(pwd)/docs

No. The application actually looks for the docs at the configured directory. It does not affect nted operation. Absence of the docs does not affect actual nted operation, it just disables calling the online help, and thus is according to policy.

Anyway, nted needs to know where to look for the docs, and --docdir tells it.
Comment 11 Mamoru TASAKA 2008-09-07 22:22:52 EDT
(In reply to comment #10)
> > By the way:
> > ---------------------------------------------------------------
> > %configure --docdir='%{_docdir}/%{name}-%{version}'
> > ......
> > mv %{buildroot}%{_docdir}/%{name}-%{version} docs
> > ----------------------------------------------------------------
> > Can these two lines simplified by the following? (I just looked at your spec
> > file)
> > ----------------------------------------------------------------
> > %configure --docdir=$(pwd)/docs
> 
> No. The application actually looks for the docs at the configured directory. It
> does not affect nted operation. Absence of the docs does not affect actual nted
> operation, it just disables calling the online help, and thus is according to
> policy.
> 
> Anyway, nted needs to know where to look for the docs, and --docdir tells it.

Yes, this is my mistake, please ignore.
Comment 12 Kevin Fenzi 2008-09-08 00:12:11 EDT
cvs done.
Comment 13 Hans Ulrich Niedermann 2008-09-08 03:59:47 EDT
Thanks for reviewing and CVS. Updates are out.

Note You need to log in before you can comment on or make changes to this bug.